Packagen fir Software Entwécklung Ënnerstëtzung op DEBIAN 10

Packagen fir Software Entwécklung Ënnerstëtzung op DEBIAN 10

Packagen fir Software Entwécklung Ënnerstëtzung op DEBIAN 10

Dëse Post ass d'Fortsetzung (drëtten Deel) vun Tutorials geweit DEBIAN GNU / Linux Distro, Versioun 10 (Buster), déi als Basis fir vill anerer déngt wéi z MX-Linux 19 (Ugly Duckling).

An dësem drëtten Deel weise mir de essentiel Packagen (Uwendungen) recommandéiert déi néideg ze bidden soporte Basis fir de Entwécklung, Testen an Ausféierung vun e puer Software (Uwendungen) iwwer eis schéin a flott Distros DEBIAN 10 a MX-Linux 19.

Update an optimiséieren MX-Linux 19.0 an DEBIAN 10.2 no der Installatioun

Update an optimiséieren MX-Linux 19.0 an DEBIAN 10.2 no der Installatioun

Déi 2 virdrun Posts an dëser Serie sinn:

  • Update an optimiséieren MX-Linux 19.0 an DEBIAN 10.2 no der Installatioun (Kuckt Entrée)
  • DEBIAN 10: Wéi eng Extra Packagen sinn nëtzlech no der Installatioun? (Kuckt Entrée)
DEBIAN 10: Wéi eng Extra Packagen sinn nëtzlech no der Installatioun?

DEBIAN 10: Wéi eng Extra Packagen sinn nëtzlech no der Installatioun?

Denkt drun an denkt drun datt:

"Denkt drun datt d'Aktiounen a Packagen hei empfohlen fir ze lafen an z'installéieren just dat "Packagen recommandéiert", an et ass u jidderengem all oder e puer vun hinnen ze lafen an z'installéieren, firwat sinn se noutwendeg oder nëtzlech, kuerz oder mëttelfristeg, se ze kennen an ze benotzen, andeems se se scho lafen oder installéieren.

An denkt drun datt dës Aktiounen an / oder Packagen waren virdrun op béide Distros getest, a frot net d'Packagen z'installéieren déi standard installéiert sinn an dësen. Weider, erhéicht de Konsum vu Gedächtnis oder CPU net zënter, se luede keng Prozesser oder Daemonen (Servicer) an der Erënnerung als Standard. Fir am Viraus ze wësse wat all Package benotzt gëtt, klickt hei."

Update MX-Linux an DEBIAN: Inhalt

Packagen fir Software Entwécklung Ënnerstëtzung

Ënnerstëtzung fir Java Uwendungen

apt install browser-plugin-freshplayer-pepperflash default-jdk icedtea-netx

Zil: Installéiert Basis Ënnerstëtzung fir Kompatibilitéit mat Java Uwendungen.

Ënnerstëtzung fir QT5 Uwendungen

apt install libqt5core5a qt5-default qt5-qmake qtbase5-dev-tools qttools5-dev-tools

Zil: Installéiert Basis Ënnerstëtzung fir Kompatibilitéit mat Uwendunge gebaut mat QT5.

Ënnerstëtzung fir Digital Mining Uwendungen

apt install autoconf automake autotools-dev build-essential byobu g++ gcc gcc-7 g++-7 git git-core libboost-dev libboost-all-dev libcrypto++-dev libcurl4 libdb-dev libdb++-dev libevent-dev libgmp-dev libgmp3-dev libhwloc-dev libjansson-dev libmicrohttpd-dev libminiupnpc-dev libncurses5-dev libprotobuf-dev libqrencode-dev libqt5gui5 libqtcore4 libqt5dbus5 libstdc++6 libssl-dev libusb-1.0-0-dev libtool libudev-dev make ocl-icd-opencl-dev openssl pkg-config protobuf-compiler qrencode qttools5-dev qttools5-dev-tools

Zil: Installéiert déi Basis Ënnerstëtzung vun Uwendungen, Treiber a Bibliothéiken déi néideg sinn fir d'Installatioun an d'Gestioun vun Digital Mining Uwendungen.

apt install libdb++-dev libdb5.3++ libdb5.3++-dev

Zil: Installéiert Basisbibliothéiksupport fir Programmer déi d'Berkeley v5.3 Datebankbibliothéik benotzen, wäit verbreet vun de modernen Digital Mining Uwendunge fir ze kompiléieren an / oder auszeféieren.

Ënnerstëtzung fir Webapplikatiounen

Apache-

apt install apache2

Zil: Installéiert Basis Support fir Webapplikatiounen optimiséiert oder kompatibel fir Apache2.

Nginx

apt install nginx

Zil: Installéiert Basis Support fir Webapplikatiounen optimiséiert oder kompatibel fir Nginx.

PostgreSQL

apt install postgresql

Zil: Installéiert Basis Kommando a Funktiounssupport fir Postgresql-baséiert Datenbanken ze managen.

apt install pgadmin3 y phppgadmin

Zil: Installéiert Basis Uwendungssupport fir Postgresql-baséiert Datebankmanagement.

MySQL

apt install mysql-server mysql-client

Zil: Installéiert Basis Kommando a Funktiounssupport fir MySQL-baséiert Datenbanken ze managen.

apt install phpmyadmin y mysql-workbench

Zil: Installéiert Basis Applikatiounssupport fir d'Gestioun vu MySQL-baséiert Datenbanken.

MariaDB

apt install mariadb-server mariadb-client

Zil: Installéiert de Basisbefehl a Funktiounssupport fir Verwalte vun Datenbanken baséiert op MariaDB.

PHP

apt install php

Zil: Installéiert Basis Kommando a Funktiounssupport fir Ëmgank mat PHP-baséiert Uwendungen.

apt install php-cas php-cgi php-curl php-gd php-json php-mbstring php-mysql php-xml php-apcu php-cli php-dev php-imap php-ldap php-xmlrpc php-intl php-pgsql php-sqlite3 php-zip phpqrcode

Zil: Installéiert de Basis Support vun natierleche Bibliothéiken fir PHP-baséiert Uwendungen ze managen.

apt install libmagic-dev libapache2-mod-php libcurl4-gnutls-dev

Zil: Installéiert Basis net-native Bibliothéiksupport fir Ëmgank mat PHP-baséiert Uwendungen.

PERL

apt install perl

Zil: Installéiert Basis Kommando a Funktiounssupport fir PERL-baséiert Uwendungen ze behandelen.

apt install libapache2-mod-perl2 y perlbrew

Zil: Installéiert Basis Bibliothéik Ënnerstëtzung fir PERL-baséiert Uwendungen ze verschaffen.

Python

apt install python-all-dev python-pip

Zil: Installéiert Basis Kommando a Funktiounssupport fir Gestioun vu Python-baséiert Uwendungen.

apt install python3-setuptools python3-pyqt5 python3-pip

Zil: Installéiert Basis Kommando a Funktiounssupport fir Ëmgank mat Python3-baséiert Uwendungen.

Allgemeng Bild fir Artikel Conclusiounen

Konklusioun

Mir hoffen dat dat "hëllefräich klenge Post" iwwer wéi eng essentiel Packagen noutwendeg sinn fir déi néideg Ënnerstëtzung fir eng korrekt ze bidden  «instalación y gestión» vu bestëmmte Softwareentwécklungen, iwwer Distros «DEBIAN y MX-Linux», si vu groussem Intérêt an Utilitéit, fir dat Ganzt «Comunidad de Software Libre y Código Abierto» a vu grousse Bäitrag zur Diffusioun vum wonnerschéinen, giganteschen a wuessenden Ökosystem vun Uwendungen vun a fir «GNU/Linux».

A fir méi Informatioun zéckt net ëmmer all ze besichen Online Bibliothéik wéi OpenLibra y JedIT liesen Bicher (PDFs) iwwer dëst Thema oder anerer Wëssen Beräicher. Fir elo, wann Dir dëst gär hätt «publicación», net ophalen et ze deelen mat aneren, an Ärem Liiblingswebsäiten, Kanäl, Gruppen oder Gemeinschaften vu sozialen Netzwierker, am beschten gratis an oppen als Mastodon, oder sécher a privat wéi Hëllefe profitéieren.

Oder besicht einfach eis Homepage um FromLinux oder maach mat beim offiziellen Channel Telegramm vu FromLinux fir dës oder aner interessant Publikatiounen ze liesen an ofzestëmmen «Software Libre», «Código Abierto», «GNU/Linux» an aner Themen am Zesummenhang mat «Informática y la Computación», an der «Actualidad tecnológica».


Den Inhalt vum Artikel hält sech un eis Prinzipie vun redaktionnell Ethik. Fir e Feeler ze mellen klickt hei.

2 Kommentaren, loosst ären

Gitt Äre Kommentar

Är Email Adress gëtt net publizéiert ginn. Néideg Felder sinn markéiert mat *

*

*

  1. Responsabel fir d'Daten: Miguel Ángel Gatón
  2. Zweck vun den Donnéeën: Kontroll SPAM, Kommentarmanagement.
  3. Legitimatioun: Är Zoustëmmung
  4. Kommunikatioun vun den Donnéeën: D'Donnéeë ginn net un Drëttubidder matgedeelt ausser duerch legal Verpflichtung.
  5. Datenspeicher: Datebank gehost vun Occentus Networks (EU)
  6. Rechter: Zu all Moment kënnt Dir Är Informatioun limitéieren, recuperéieren an läschen.

  1.   Twikzer sot

    Korrigéiert mech wann ech falsch sinn, awer .. op Debian, hu se phpmyadmin net aus de Repositioune geläscht?
    a fir php z'installéieren, musst Dir net (zum Beispill) php7.3 oder php7.3-curl spezifizéieren

  2.   Linux Post Installéieren sot

    Gréiss Twikzer! Merci fir Äre Kommentar. Bestëmmt phpmyadmin ass net an de DEBIAN 10 (Stabile) Repositories awer et ass an der DEBIAN 11 (Testing) Repositories also ech huelen un datt se iergendwann et wéi aner Packagen an de stabile enthalen, awer Dir kënnt et oder kann et ausloossen, ouni Allerdéngs, dofir hunn ech et do gelooss. Wat déi zweet ugeet, ass et net néideg, well déi aktuell Versiounen am Repository no hirem generesche Numm genannt ginn.